std::domain_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::domain_error:
[legend]

## Public Member Functions

| domain_error (const char *) _GLIBCXX_TXN_SAFE
| domain_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathematical sense).

Definition at line 147 of file stdexcept.

The documentation for this class was generated from the following file:

- stdexcept